Bug Hunting Session
Bug 46421 - FILESAVE Text export: All caps style is not respected
Summary: FILESAVE Text export: All caps style is not respected
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Character Save-Text
  Show dependency treegraph
 
Reported: 2012-02-21 16:28 UTC by Urmas
Modified: 2017-06-17 19:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document (11.36 KB, application/3dr)
2012-02-22 02:11 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2012-02-21 16:28:08 UTC
The text which has 'uppercase' style applied, is saved in plain text format as original case, instead of uppercase.
Comment 1 Rainer Bielefeld Retired 2012-02-21 22:40:43 UTC
NOT reproducible with "LibreOffice 3.5.0 German UI/Locale [Build-ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735] on German WIN7 Home Premium (64bit). I typed a text line to a WRITER document, applied menu 'Format -> Change Case -> UPPERCASE', saved as text document and coded text document, both showed uppercase when reopening document with Writer or arbitrary text editor.

BUT

Effect ist reproducible with "LibreOffice 3.5.0 German UI/Locale [Build-ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735] on German WIN7 Home Premium (64bit) when:

1. type a simple text line into new WRITER document
2. select all text
3. Menu 'Format > Character -> Font Effects -> Effects -> Capitals <ok>'
   > now all text is in uppercase 
4. Save as text , close document
5. reopen document with Writer or arbitrary text editor
   Expected(?): all text is in uppercase 
   Actual: Text looks as before step 2, "Capitals" is ignored.

For me this all is not unexpected, I the first text the lowercase characters will be replaced by uppercase characters. But in second test in step 3 only an information will be modified how characters should be shown in the document, that information will not be exported to text , and so it's not unexpected that the text in step 5 does not show all characters as capitals. Also all other effects from that dialog will not show a visible result in export.txt.

@Urmas
Please feel free to reopen this report if you can contribute Help texts or similar sources what let expect some other results. 

Please always contribute EXACT information how to reproduce the problem, " style applied" is much too rare!
Comment 2 Urmas 2012-02-22 00:20:36 UTC
Change case is irreversible editing operation.
I'm talking about 'Format/Character/Effects->Uppercase' style option.
Comment 3 Rainer Bielefeld Retired 2012-02-22 00:28:11 UTC
@Urmas
As I explained that is the wrong edit for your needs.
Please do not state meaningless things like "Change case is irreversible editing operation". What do you want to tell us? Manuals or other sources for your expectations? What's your aversion against the correct edit operation "'Format -> Change Case -> UPPERCASE'"?
This still is NOTABUG in spite of modified Status picker.
Comment 4 Rainer Bielefeld Retired 2012-02-22 02:11:56 UTC
Created attachment 57443 [details]
Sample document

... demonstration the difference between formatting methods.
Comment 5 Rainer Bielefeld Retired 2013-03-22 10:48:50 UTC
Closing Bug because has not been reproduced and due to reporter's inactivity as INVALID due to lacking information.

@reporter:
Please feel free to reopen this bug if you find out that the problem still exists with the current stable LibreOffice version and if you can contribute requested additional information due to <http://wiki.documentfoundation.org/BugReport> (especially BugReport Details)!
Comment 6 Urmas 2013-03-22 12:08:38 UTC
This is in contrary to Word behaviour and definitely is a bug.

Uppercase is an important style property and it cannot be replaced with physically modifying the text.
Comment 7 Rainer Bielefeld Retired 2013-03-22 16:02:10 UTC
Urmas: (In reply to comment #6)
Well, as I told you, you do the wrong edit for your goal. That might be a bug, but with you, not with LibO.

And as long as you can't contribute the requested arguments, the bug will stay INVALID, it does not matter what different status your select in the dropdown.

So please contribute comprehensible arguments or close the bug again.
Comment 8 Urmas 2013-03-22 17:46:06 UTC
It does not behave as the normal software does. That is the main, irrefutable argument.

Additionally, how do you suggest to deal with fields and headings? They cannot be edited, and the font style is the only option to force them uppercase.
Comment 9 QA Administrators 2013-09-24 01:43:56 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2015-04-01 14:40:07 UTC Comment hidden (obsolete)
Comment 11 Buovjaga 2015-04-19 15:28:01 UTC
Reproduced with steps from comment 1.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha0+ (x64)
Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-18_01:51:17
Locale: fi_FI

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 12 QA Administrators 2016-09-20 09:32:07 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920